%%% This is an article-like class using memoir
%%% Karnes Kim
%%%
%%% ver0.01  2006/04/27 : introduce [nokorean] option requested by smcho.
%%% ver0.001 2006/03/11
%%%
\ProvidesClass{fakearticle}

\newif\ifnokorean\nokoreanfalse
\DeclareOption{nokorean}{\nokoreantrue}
\newif\iftwosidedoc\twosidedocfalse
\DeclareOption{twoside}{\twosidedoctrue}
\newif\ifopenrightdoc\openrightdocfalse
\DeclareOption{openright}{\openrightdoctrue}
\newif\ifkosection\kosectionfalse
\DeclareOption{kosection}{\kosectiontrue}
\newif\ifnobookmarks\nobookmarksfalse
\DeclareOption{nobookmarks}{\nobookmarkstrue}
\DeclareOption*{%
 \PassOptionsToClass{\CurrentOption}{memoir}%
}
\ProcessOptions

\iftwosidedoc
  \LoadClass[article,openany]{memoir}
\else
  \LoadClass[article,openany,oneside]{memoir}
\fi
\ifopenrightdoc\openright\fi
\ifnokorean\else
  \ifnobookmarks
    \usepackage[nonfrench,interworddefault,hangulpagestyle,gremph]{memhangul-ucs}
  \else
    \usepackage[nonfrench,interworddefault,hangulpagestyle,gremph,pdfbookmark]{memhangul-ucs}
  \fi
\fi
\counterwithout{section}{chapter}

%%% footnote setting
\newsavebox\mytmpbox\sbox\mytmpbox{\footnotesize 99)\ }
\footmarkstyle{\makebox[\wd\mytmpbox][r]{#1)\ }}
\setlength\footmarksep{\wd\mytmpbox}
\setlength\footmarkwidth{0pt}
\setlength\footparindent{0pt}
\ifnokorean\else
\SetFnmark{\textsuperscript}{\textsuperscript{)}}
\fi
%%% footnotes and floats. codes from memmanadd.pdf
\renewcommand*{\footnoterule}{\kern-3pt\vfill
  \hrule width 0.4\columnwidth \kern 2.6pt}
\setlength{\skip\footins}{1.3\onelineskip}

\maxtocdepth{subsection}
\maxsecnumdepth{subsection}

%%% CFTs
\renewcommand\chaptitlefont{\Large\bfseries}
\renewcommand\printchapternonum{}
\renewcommand\printchaptertitle[1]{\chaptitlefont #1}
\renewcommand\afterchapskip{\onelineskip}
\renewcommand\beforechapskip{1.5\onelineskip}

\renewcommand\cftsectionindent{0pt}
\ifnokorean\else
\renewcommand\cftsectionnumwidth{1.8em}
\renewcommand\cftsubsectionindent{1.8em}
\renewcommand\cftsubsectionnumwidth{2.5em}
\fi
\let\cftchapterindent\cftsectionindent
\let\cftchapternumwidth\cftsectionnumwidth
\let\cftbeforechapterskip\cftbeforesectionskip

\renewcommand\cftsectionpresnum{\hfill}
\renewcommand\cftsectionaftersnum{\hskip.8em}

%%% ksnamedef
\newsavebox{\tmp@XXbox}
\newdimen\tmp@XXdim
\def\ksnamedef#1#2#3{%
	\sbox{\tmp@XXbox}{#2\number\c@section#3}%
	\setlength\tmp@XXdim{\wd\tmp@XXbox}\advance\tmp@XXdim by1em%
	\expandafter\def\csname the#1\endcsname{#2\number\c@section#3}%
	\expandafter\renewcommand\csname cft#1numwidth\endcsname{\tmp@XXdim}%
	\expandafter\renewcommand\csname cft#1presnum\endcsname{}%
	\expandafter\renewcommand\csname cft#1aftersnum\endcsname{}%
}

\ifnokorean\else
\ifkosection
\ksnamedef{section}{제\:}{\:절}
\renewcommand\thesubsection{\arabic{section}.\arabic{subsection}}
\fi\fi

%%% misc settings
\raggedbottom
\ifnokorean
\renewcommand\sectionmark[1]{\markboth{\thetitle}{#1}}
\else
\renewcommand\sectionmark[1]{\PrerenderUnicode{\thetitle#1}\markboth{\thetitle}{#1}}
\fi
%\renewcommand\subsectionmark[1]{\markright{#1}}
\ifnokorean
\newcommand*\MarkDocTitle{\markboth{\thetitle}{}}
\else
\newcommand*\MarkDocTitle{\PrerenderUnicode{\thetitle}\markboth{\thetitle}{}}
\fi

%%% for pdftex
\ifpdf
\ifnobookmarks
\usepackage[pdftex,bookmarks=false]{hyperref}
\fi
\usepackage{dhucs-cmap}
\else
\ifnobookmarks
\usepackage[bookmarks=false]{hyperref}
\fi
\fi

\newskip\@ensp
\@ensp=.331em plus .02em minus .01em
\def\ensp{\hskip\@ensp}

\pagestyle{plain}

\endinput
